Read an ordinary Automation and its editable definition
curl --request GET \
--url https://api.coderabbit.ai/v1/automations/{automation_id} \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/automations/{automation_id}"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/automations/{automation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/automations/{automation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coderabbit.ai/v1/automations/{automation_id}")
.header("x-coderabbitai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/automations/{automation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"status": "active",
"revision": 4503599627370495,
"updated_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z"
},
"definition": {
"title": "<string>",
"taskPrompt": "<string>",
"trigger": {
"kind": "recurring",
"schedule": {
"frequency": "minutely",
"interval": 1,
"timezone": "UTC",
"hour": 11,
"minute": 29,
"dayOfMonth": 16,
"weekdays": [
"monday"
]
}
},
"summary": "<string>",
"messagePlatformPostingPrompt": "<string>",
"status": "active",
"destinations": [
{
"kind": "message_platform",
"provider": "slack",
"channelId": "<string>",
"channelName": "<string>"
}
],
"deliveryMode": "fresh_thread",
"messagePlatformTargetEnabled": true,
"subscribeToThreadUpdates": true,
"executionLocation": "conversation",
"homePresentation": {
"liveStatus": "show",
"finalReply": "show"
},
"messagePlatformProvider": "slack",
"channelId": "<string>",
"channelName": "<string>",
"slackDmPolicy": {
"mode": "creator",
"allowFiles": true
},
"botChannelSecondaryDestination": {
"provider": "slack",
"channelId": "<string>",
"channelName": "<string>"
},
"actions": [
{
"type": "prompt_run",
"actionId": "<string>",
"label": "<string>",
"prompt": "<string>",
"style": "primary"
}
],
"finalReplyActionPropagation": "every_reply",
"execution": {
"kind": "single_prompt"
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Read an ordinary Automation and its editable definition
Use data.revision as expected_revision when updating or commanding. The definition retains native trigger and destination fields and can be supplied unchanged to update. Factory targets are not exposed.
GET
/
v1
/
automations
/
{automation_id}
Read an ordinary Automation and its editable definition
curl --request GET \
--url https://api.coderabbit.ai/v1/automations/{automation_id} \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/automations/{automation_id}"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/automations/{automation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/automations/{automation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coderabbit.ai/v1/automations/{automation_id}")
.header("x-coderabbitai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/automations/{automation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"status": "active",
"revision": 4503599627370495,
"updated_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z"
},
"definition": {
"title": "<string>",
"taskPrompt": "<string>",
"trigger": {
"kind": "recurring",
"schedule": {
"frequency": "minutely",
"interval": 1,
"timezone": "UTC",
"hour": 11,
"minute": 29,
"dayOfMonth": 16,
"weekdays": [
"monday"
]
}
},
"summary": "<string>",
"messagePlatformPostingPrompt": "<string>",
"status": "active",
"destinations": [
{
"kind": "message_platform",
"provider": "slack",
"channelId": "<string>",
"channelName": "<string>"
}
],
"deliveryMode": "fresh_thread",
"messagePlatformTargetEnabled": true,
"subscribeToThreadUpdates": true,
"executionLocation": "conversation",
"homePresentation": {
"liveStatus": "show",
"finalReply": "show"
},
"messagePlatformProvider": "slack",
"channelId": "<string>",
"channelName": "<string>",
"slackDmPolicy": {
"mode": "creator",
"allowFiles": true
},
"botChannelSecondaryDestination": {
"provider": "slack",
"channelId": "<string>",
"channelName": "<string>"
},
"actions": [
{
"type": "prompt_run",
"actionId": "<string>",
"label": "<string>",
"prompt": "<string>",
"style": "primary"
}
],
"finalReplyActionPropagation": "every_reply",
"execution": {
"kind": "single_prompt"
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Path Parameters
Minimum string length:
1Query Parameters
Git-provider organization ID. Required for workspace keys; omit for organization keys. This differs from the CodeRabbit organization ID in scope.id.
Minimum string length:
1Available options:
slack, discord, microsoft_teams Minimum string length:
1Was this page helpful?